[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: old server, new client?

From: Stephen Connolly <stephen.alan.connolly_at_gmail.com>
Date: Thu, 22 Oct 2009 20:00:06 +0100

features from 1.5 and 1.6 servers are not available, but you can continue to
access the repository fine.

2009/10/22 Dan Stromberg <dstromberglists_at_gmail.com>

> I posed this question on freenode's #svn and did some google searching
> before e-mailing this list.
>
> If we have an old SVN server (likely 1.4.x, but that's unknown, and I
> don't have admin access to it), and we want to use it with a 1.6.5
> client, what happens?
>
> 1) Things are just fine, no problems Can ensue even if you keep using
> some 1.4.x clients
> 2) Things are fine until one of the 1.6.x clients uses a new feature
> that the 1.4.x clients don't support. Then you either must stop using
> that feature or upgrade the old clients
> 3) The 1.6.x client goes and rearranges things in the repo
> automatically in such a way that the 1.4.x clients stop functioning,
> and everyone must upgrade their clients to 1.6.x in a sudden hurry
>
> ?
>
> Thanks!
>
> ------------------------------------------------------
>
> http://subversion.tigris.org/ds/viewMessage.do?dsForumId=1065&dsMessageId=2410360
>
> To unsubscribe from this discussion, e-mail: [
> users-unsubscribe_at_subversion.tigris.org].
>

------------------------------------------------------
http://subversion.tigris.org/ds/viewMessage.do?dsForumId=1065&dsMessageId=2410367

To unsubscribe from this discussion, e-mail: [users-unsubscribe_at_subversion.tigris.org].
Received on 2009-10-22 21:01:15 CEST

This is an archived mail posted to the Subversion Users mailing list.